Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.objects
Class LongAttribute

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.objects.Attribute
            |
            +--iaik.pkcs.pkcs11.objects.LongAttribute

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  CertificateTypeAttribute, HardwareFeatureTypeAttribute, KeyTypeAttribute, MechanismAttribute, ObjectClassAttribute

public class LongAttribute
extends Attribute

Objects of this class represent a long attribute of an PKCS#11 object as specified by PKCS#11.

Version:
  1.0
Author:
  Karl Scheibelhofer

Fields inherited from class iaik.pkcs.pkcs11.objects.Attribute
`AC_ISSUER, ALLOWED_MECHANISMS, ALWAYS_AUTHENTICATE, ALWAYS_SENSITIVE, APPLICATION, ATTR_TYPES, attributeClasses_, attributeNames_, AUTH_PIN_FLAGS, BASE, BITS_PER_PIXEL, CERTIFICATE_CATEGORY, CERTIFICATE_TYPE, CHAR_COLUMNS, CHAR_ROWS, CHAR_SETS, CHECK_VALUE, ckAttribute_, CLASS, COEFFICIENT, COLOR, DECRYPT, DERIVE, EC_PARAMS, EC_POINT, ECDSA_PARAMS, ENCODING_METHODS, ENCRYPT, END_DATE, EXPONENT_1, EXPONENT_2, EXTRACTABLE, HAS_RESET, HASH_OF_ISSUER_PUBLIC_KEY, HASH_OF_SUBJECT_PUBLIC_KEY, HW_FEATURE_TYPE, ID, ISSUER, JAVA_MIDP_SECURITY_DOMAIN, KEY_GEN_MECHANISM, KEY_TYPE, LABEL, LOCAL, MECHANISM_TYPE, MIME_TYPES, MODIFIABLE, MODULUS, MODULUS_BITS, NEVER_EXTRACTABLE, OBJECT_ID, OWNER, PIXEL_X, PIXEL_Y, present_, PRIME, PRIME_1, PRIME_2, PRIME_BITS, PRIVATE, PRIVATE_EXPONENT, PUBLIC_EXPONENT, RESET_ON_INIT, RESOLUTION, SECONDARY_AUTH, SENSITIVE, sensitive_, SERIAL_NUMBER, SIGN, SIGN_RECOVER, START_DATE, SUB_PRIME_BITS, SUBJECT, SUBPRIME, TOKEN, TRUSTED, UNWRAP, UNWRAP_TEMPLATE, URL, VALUE, VALUE_BITS, VALUE_LEN, VENDOR_DEFINED, VERIFY, VERIFY_RECOVER, WRAP, WRAP_TEMPLATE, WRAP_WITH_TRUSTED`

Constructor Summary
`LongAttribute(java.lang.Long type)` Constructor taking the PKCS#11 type of the attribute.

Method Summary
`java.lang.Long` | `getLongValue()` Get the long value of this attribute.
`protected java.lang.String` | `getValueString(int radix)` Get a string representation of the value of this attribute.
`void` | `setLongValue(java.lang.Long value)` Set the long value of this attribute.
`java.lang.String` | `toString(int radix)` Get a string representation of this attribute.

Methods inherited from class iaik.pkcs.pkcs11.objects.Attribute
`clone, equals, getAttributeClass, getAttributeName, getCkAttribute, getType, getValueString, hashCode, isPresent, isSensitive, setCkAttribute, setPresent, setSensitive, setType, toString, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LongAttribute

    public LongAttribute(java.lang.Long type)

  Constructor taking the PKCS#11 type of the attribute.
  Parameters:
    `type` - The PKCS'11 type of this attribute; e.g. PKCS11Constants.CKA_VALUE_LEN.

Method Detail

### setLongValue

    public void setLongValue(java.lang.Long value)

  Set the long value of this attribute. Null, is also valid. A call to this method sets the present flag to true.
  Parameters:
    `value` - The long value to set. May be null.

### getLongValue

    public java.lang.Long getLongValue()

  Get the long value of this attribute. Null, is also possible.
  Returns:
    The long value of this attribute or null.

### getValueString

    protected java.lang.String getValueString(int radix)

  Get a string representation of the value of this attribute. The radix for the presentation can be specified; e.g. 16 for hex, 10 for decimal.
  Parameters:
    `radix` - The radix for the representation of the value.
  Returns:
    A string representation of the value of this attribute.

### toString

    public java.lang.String toString(int radix)

  Get a string representation of this attribute. The radix for the presentation of the value can be specified; e.g. 16 for hex, 10 for decimal.
  Parameters:
    `radix` - The radix for the representation of the value.
  Returns:
    A string representation of the value of this attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18